services:
    _defaults:
        public: false

    AppBundle\Infrastructure\UseCase\ListenForException\ExceptionListener:
        arguments:
            - '@persist.sentry_logger'
            - '@twig.exception_listener'
            - '%sentry.skip_capture%'
        tags:
            - { name: kernel.event_listener, event: kernel.exception }

    AppBundle\Infrastructure\Auth\Auth:
        arguments:
            - '%should_use_auth%'
        tags:
            - { name: kernel.event_subscriber }
